﻿#Region "Imports"
Imports System.Environment
#End Region

Public Class Form1
#Region "Deklaration/Initialization"
    Public WithEvents tim_Ram As New System.Timers.Timer With {.Interval = 60000, .Enabled = True}
    Dim _db As String = "db.xml"
#End Region
#Region "Safe Threading"
#Region "Delegate"
    Delegate Sub threadDelegate(ByVal DValue As String)
    Private Sub threadDelegateSub(ByVal DValue As String)
        'was soll mit den Infos passieren die der Thread liefert ?
    End Sub
#End Region
#Region "Threadstart"
    Public Sub StartThread(ByVal threadchoice As String)
        Select Case threadchoice
            Case "Thread1"
                'welche Parameter benötigen wir für den Thread ?
            Case "Thread2"
            Case Else
        End Select
    End Sub
#End Region
#End Region
#Region "Misc"
    Private Sub tim_Ram_Elapsed(sender As Object, e As ElapsedEventArgs) Handles tim_Ram.Elapsed
        Ext.ReduceRam()
    End Sub

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
      Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
      Me.UpdateStyles()
      loadDB()
    End Sub

    Public Sub loadDB()
        HDDS.Clear()
        If IO.File.Exists(_db) Then
            HDDS.ReadXml(_db)
        End If
    End Sub


    Private Sub Form1_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
        Me.Validate()
        HDDS.WriteXml(_db)
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim frm As New Form3
        frm.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.AddNew()
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button3_Click_1(sender As Object, e As EventArgs) Handles Button3.Click
        HDDTCBindingSource.RemoveCurrent()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Dim frm As New Form3
        frm.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.Current
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button6_Click(sender As Object, e As EventArgs) Handles Button6.Click
        Dim frm As New Form2
      frm.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.AddNew
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
      HDDTCBindingSource.RemoveCurrent()
    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click
        Dim frm As New Form2
        frm.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.Current
        frm.ShowDialog(Me)
    End Sub



#End Region
End Class